<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$isEdit = isset($isEdit) && $isEdit;

$menu->relatedTasks(array('Publisher'));
?>

<form class="addedit" method="post" action="<?=Router::url('/collections/'.($isEdit?'edit':'add'))?>">
<fieldset>
<legend><?=($isEdit?__('Edit a collection', true):__('Add a collection', true))?></legend>
<?php
if ($isEdit)
	echo $form->hidden('Collection.id');
?>
<input type="hidden" name="smartFlash" value="<?=$smartFlash?>" />
<table class="details">
<?php
echo '<tr><th>'.$form->label('Collection.name', __('Name', true)).'</th><td>'.$form->text('Collection.name')."</td></tr>\n";
echo '<tr><th>'.$form->label('Collection.publisher_id', __('Publisher', true)).'</th><td>'.$form->select('Collection.publisher_id', $publishersList, null, array(), null)."</td></tr>\n";
echo '<tr><th>'.$form->label('Collection.website', __('Website', true)).'</th><td>'.$form->text('Collection.website')."</td></tr>\n";
echo '<tr><th>'.$form->label('Collection.history', __('History', true)).'</th><td>'.$form->textarea('Collection.history', Configure::read('Demyo.View_textareaAttribs'))."</td></tr>\n";
?>
</table>
<div class="buttons"><input type="submit" value="<?php if ($isEdit) __('Update'); else __('Add')?>" /><input type="reset" value="<?php __('Reset')?>" /></div>
</fieldset>
</form>