<?php /* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */?>
<form class="addedit" method="post" action="<?=Router::url('/configurator/edit')?>">
<fieldset>
<legend><?php __('Configure Demyo\'s behavior') ?></legend>

<table class="details">
	<tr><th><?php __('Language') ?></th><td><?=$form->select('lang', $locales, $config['lang'], array(), false)?></td></tr>
	<tr><th><?php __('Currency for prices') ?></th><td><input type="text" class="number" id="currency" name="data[currency]" value="<?=$config['currency']?>" /></td></tr>
	<tr><th><?php __('Number of tags to show in Tasks page') ?></th><td><input type="text" class="number" id="tagsCountInTasks" name="data[tagsCountInTasks]" value="<?=$config['tagsCountInTasks']?>" /></td></tr>
	<tr><th><?php __('Columns in derivatives sticker list') ?></th><td><input type="text" class="number" id="View_stickersCols" name="data[View_stickersCols]" value="<?=$config['View_stickersCols']?>" /></td></tr>
	<tr><th><?php __('Thumbs per page in galleries') ?></th><td><input type="text" class="number" id="Gallery_thumbsPerPage" name="data[Gallery_thumbsPerPage]" value="<?=$config['Gallery_thumbsPerPage']?>" /></td></tr>
	<tr><th><?php __('Thumbs per line in galleries') ?></th><td><input type="text" class="number" id="Gallery_thumbsPerLine" name="data[Gallery_thumbsPerLine]" value="<?=$config['Gallery_thumbsPerLine']?>" /></td></tr>
	<tr><th><?php __('Maximum thumbnail width') ?></th><td><input type="text" class="number" id="maxThumbWidth" name="data[maxThumbWidth]" value="<?=$config['maxThumbWidth']?>" /></td></tr>
	<tr><th><?php __('Maximum thumbnail height') ?></th><td><input type="text" class="number" id="maxThumbHeight" name="data[maxThumbHeight]" value="<?=$config['maxThumbHeight']?>" /></td></tr>	
	<tr><th><?php __('Album count before series fold in tag view') ?></th><td><input type="text" class="number" id="View_tagsFoldingAlbumCount" name="data[View_tagsFoldingAlbumCount]" value="<?=$config['View_tagsFoldingAlbumCount']?>" /></td></tr>
	<tr><th><?php __('Height of the multiple values selects') ?></th><td><input type="text" class="number" id="View_multiSelectHeight" name="data[View_multiSelectHeight]" value="<?=$config['View_multiSelectHeight']?>" /></td></tr>
	<tr><th><?php __('Chart drawing method') ?></th><td><?=$form->select('View_chartMethod', $chartMethods, $config['View_chartMethod'], array(), false)?></td></tr>
	<tr><th><?php __('Album data to show in series view') ?></th><td>
		<?php
			$i = 0;
			foreach ($config['View_seriesAlbumDetails'] as $option => $value) {
				$value = $value?'checked="checked"':'';
				echo "<input type=\"checkbox\" id=\"detail_$i\" name=\"data[View_seriesAlbumDetails][$option]\" $value /><label for=\"detail_$i\">".__($option, true)."</label><br />";
				$i++;
			}
		?>
	</td></tr>
</table>

<?php $jQuery->checkInclude(); ?>
<script type="text/javascript">
//<![CDATA[
jQuery('input.number').not('#currency').numberField({ default: 1, min: 1 });
//]]>
</script>

<div class="buttons"><input type="submit" value="<?php __('Update')?>" /><input type="reset" value="<?php __('Reset')?>" /></div>

</fieldset>
</form>
