<?php /* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */?>
<div id="stickers">
<?php
foreach($derivatives as $derivative) {
	$date = $derivative['Derivative']['purchase_date'];
	$albumTitle = '';
	$number = '';
	
	if (! empty($derivative['Album'])) {
		$albumTitle = '<span>';
		$albumTitle .= ($derivative['Album']['cycle'] != 0)?($derivative['Album']['cycle'].'.'):'';
		$albumTitle .= $derivative['Album']['number'].'.</span>'.$derivative['Album']['title'];
		$albumTitle = '<p class="album">'.$albumTitle.'</p>';
	}
	
	$source = '<p class="source">'.$derivative['Source']['name'].'</p>';
	
	if (! empty($derivative['Derivative']['number'])) {
		$number = $derivative['Derivative']['number'];
		if (! empty($derivative['Derivative']['total']))
			$number .= '/'.$derivative['Derivative']['total'];
		
		$number = '<p class="number">'.$number.'</p>';
	}
	
	if (!empty($date))
		$date = '<p class="date">'.$date.'</p>';
?>
	<div class="sticker">
			<p class="series"><?=$derivative['Series']['name']?></p>
			<?=$albumTitle?>

			<?=$source?>

			<?=$number?>

			<?=$date?>
			
	</div>
<?php
}
?>
</div>
