<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$isEdit = isset($isEdit) && $isEdit;
?>

<form class="addedit" method="post" action="<?=Router::url('/authors/'.($isEdit?'edit':'add'))?>">
<fieldset>
<legend><?=($isEdit?__('Edit an author', true):__('Add an author', true))?></legend>
<?php
if ($isEdit)
	echo $form->hidden('Author.id');
?>
<input type="hidden" name="smartFlash" value="<?=$smartFlash?>" />
<table class="details">
<?php
echo '<tr><th>'.$form->label('Author.name', __('Name', true)).'</th><td>'.$form->text('Author.name')."</td></tr>\n";
echo '<tr><th>'.$form->label('Author.fname', __('First name', true)).'</th><td>'.$form->text('Author.fname')."</td></tr>\n";
echo '<tr><th>'.$form->label('Author.nickname', __('Nickname', true)).'</th><td>'.$form->text('Author.nickname')."</td></tr>\n";
echo '<tr><th>'.$form->label('Author.website', __('Website', true)).'</th><td>'.$form->text('Author.website')."</td></tr>\n";
echo '<tr><th>'.$form->label('Author.biography', __('Biography', true)).'</th><td>'.$form->textarea('Author.biography', Configure::read('Demyo.View_textareaAttribs'))."</td></tr>\n";
?>
</table>
<div class="buttons"><input type="submit" value="<?php if ($isEdit) __('Update'); else __('Add')?>" /><input type="reset" value="<?php __('Reset')?>" /></div>
</fieldset>
</form>