<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$menu->makeQuickMenu(__('Quick menu', true), 'quickmenu',
	array(
		array('title' => __('Edit this collection', true),
			'url' => '/collections/edit/'.$collection['Collection']['id']
			),
		array('title' => __('Delete this collection', true),
			'url' => '/collections/delete/'.$collection['Collection']['id'],
			'confirm' => __('Are you sure you want to delete this collection?', true)
			)
	)
);
?>
<table class="details">
	<tr><th><?php __('Name') ?></th><td><?=$collection['Collection']['name']?></td></tr>
	
	<tr><th><?php __('Publisher') ?></th><td><?=$html->link($collection['Publisher']['name'], '/publishers/view/'.$collection['Publisher']['id'])?></td></tr>
	
	<?php if (!empty($collection['Collection']['website'])) { ?>
	<tr><th><?php __('Website') ?></th><td><a href="<?=$collection['Collection']['website']?>"><?=$collection['Collection']['website']?></a></td></tr>
	<?php } ?>
	
	<?php if (!empty($collection['Collection']['history'])) { ?>
	<tr><th><?php __('History') ?></th><td><?=nl2br($collection['Collection']['history'])?></td></tr>
	<?php } ?>
	
	<?php if (!empty($collection['Collection']['album_count'])): ?>
	<tr><th><?php __('Albums') ?></th>
	<td><?=$html->link(__s('View %d albums from this collection', $collection['Collection']['album_count']), '/albums/index/fromCollection:'.$collection['Collection']['id'])?></td></tr>
	<?php endif; ?>
</table>
