<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */

// TODO: with a bit more work, this could be changed into an autocompletion
// helper for administration forms. Check if this is actually needed
class QuicksearchHelper extends AppHelper {
	public $helpers = array('jQuery');

	public function searchBox($enabledCategories) {
		$this->jQuery->checkInclude();

		$catString = '';
		foreach (array('Series', 'Album', 'Author', 'Publisher', 'Collection') as $cat) {
			if (in_array($cat, $enabledCategories))
				$catString .= "\t\t'data[Search][$cat]': 'on',\n";
			else
				$catString .= "\t\t'data[Search][$cat]': 'off',\n";
		}
		$catString .= "\t\t'QuickHack':'heh'";

		$action = Router::url("/library/dosearch", false);
		$searchTitle = __('Quick search:', true);
		$form = <<<EOS
<script type="text/javascript">
jQuery.noConflict();
function ajaxSubmit() {
	if (jQuery('div#quicksearch input[name="data[Search][query]"]').val().length == 0) {
		document.getElementById('results').innerHTML = '';
		jQuery('div#quicksearch div#results').hide();
		return;
	}
	jQuery.post(
		'$action',
		{'data[Search][query]': jQuery('div#quicksearch input[name="data[Search][query]"]').val(),
$catString
		},function(responseText, textStatus) {
			// Looks like jQuery(foo).html() is broken
			document.getElementById('results').innerHTML = responseText;
			jQuery('div#quicksearch div#results').show();
		}
	);
}
jQuery(document).ready(function() {
	jQuery('div#quicksearch input[name="data[Search][query]"]').delayedEvent('keyup', ajaxSubmit);
	jQuery('div#quicksearch div#results').hide();
});
</script>

<div id="quicksearch">
	<form action="$action" onsubmit="ajaxSubmit(); return false;" method="post"><div>
		<h1>$searchTitle</h1>
		<input type="text" name="data[Search][query]" value="" />
	</div></form>
	<div id="results"></div>
</div>
EOS;
		return $form;
	}
}

?>
