<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$isEdit = isset($isEdit) && $isEdit;

if ($isEdit)
	$menu->relatedTasks(array('Album', 'Derivative',
		array('title' => __('Delete this image', true),
			'url' => '/images/delete/'.$this->data['Image']['id'],
			'confirm' => __('Are you sure you want to delete this image?', true)
		)));
else
	$menu->relatedTasks(array('Album', 'Derivative'));
?>

<form class="addedit" method="post" action="<?=Router::url('/images/'.($isEdit?'edit':'add'))?>">
<fieldset>
<legend><?=($isEdit?__('Edit an image', true):__('Add an image', true))?></legend>
<?php
if ($isEdit)
	echo $form->hidden('Image.id');
?>
<input type="hidden" name="smartFlash" value="<?=$smartFlash?>" />
<table class="details">
<?php
echo '<tr><th>'.$form->label('Image.url', __('Path', true)).'</th><td>'.$form->text('Image.url')
	.'<img src="'.Router::url('/img/mime-image.png').'" alt="'.__('Browse image directory', true)
	.'" onclick="window.open(\''.Router::url('/images/browser').'\', \'\',  \'height=400,width=600,top=310,left=40,location=no,menubar=no,resizable=yes,scrollbars=yes,toolbar=no,status=no,directories=no\')" />'
	."</td></tr>\n";
echo '<tr><th>'.$form->label('Image.description', __('Description', true)).'</th><td>'.$form->textarea('Image.description', Configure::read('Demyo.View_textareaAttribs'))."</td></tr>\n";
?>
</table>
<div class="buttons"><input type="submit" value="<?php if ($isEdit) __('Update'); else __('Add')?>" /><input type="reset" value="<?php __('Reset')?>" /></div>
</fieldset>
</form>