<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */

echo $quicksearch->searchBox(array('Series', 'Album'));

$viewText = __('View image details', true);
$editText = __('Edit this image', true);
$viewImg = $html->image('view-small.png', array('alt' => $viewText));
$editImg = $html->image('edit-small.png', array('alt' => $editText));
foreach ($images as &$image) {
	$image['legend'] =
		'<a href="'.Router::url('/images/view/'.$image['id'])."\" title=\"$viewText\">$viewImg</a>&nbsp;&nbsp;&nbsp;"
		.'<a href="'.Router::url('/images/edit/'.$image['id'])."\" title=\"$editText\">$editImg</a>";
}

?>

<div class="gallery">
<?=$shadowbox->init()?>

<?=$shadowbox->gallery($images, 'gallery')?>
</div>
<div class="clearer"></div>

<?php if ($doPaginate) { ?>
<div class="pages_navigation">
	<?=$paginator->prev()?> <?=$paginator->numbers(array('model' => 'Image'))?> <?=$paginator->next()?>
</div>
<?php } ?>
