<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */

$atLeastOne = false;

$indexes = array('Series', 'Album', 'Author', 'Publisher', 'Collection');
$headers = array(__('Matching series', true), __('Matching albums', true), __('Matching authors', true), __('Matching publishers', true), __('Matching collections', true));
$titles = array(array('name'), array('title'), array('meta_name'), array('name'), array('name'));
$urls = array('/series/view/%d', '/albums/view/%d', '/authors/view/%d', '/publishers/view/%d', '/collections/view/%d');

$len = sizeof($indexes);
for ($i = 0; $i < $len; $i++) {
	if (! empty($results[$indexes[$i]])) {
		if (! $atLeastOne)
			echo "<ul id=\"search_results\">\n";
		$atLeastOne = true;
		echo '<li>'.$headers[$i]."\n";
		echo $list->HTMLList($results[$indexes[$i]], $titles[$i], $urls[$i]);
		echo "</li>\n";
	}
}

if ($atLeastOne)
	echo "</ul>";
else
	__('No result matched your search');

?>

