<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->pageTitle = __('About', true);
?>

<h1><?php __('About') ?></h1>

<p><?=sprintf(__('Demyo %s running on CakePHP %s.', true), Configure::read('Demyo.versionAsString'), Configure::version())?></p>

<p>Demyo is &copy; 2008 Xr, licensed under the <a href="http://www.gnu.org/licenses/gpl-3.0.html">GNU General Public License v3</a>.</p>
<p>It depends on the following (bundled) software:</p>
<ul>
	<li><a href="http://cakephp.org/">CakePHP</a>, &copy; 2005-2008 Cake Software Foundation, Inc., licensed under <a href="http://www.opensource.org/licenses/mit-license.php">MIT License</a></li>
	<li><a href="http://jquery.com/">jQuery</a>, &copy; 2008 John Resig, dual licensed under <a href="http://www.gnu.org/licenses/gpl-2.0.html">GNU General Public License v2</a> and <a href="http://www.opensource.org/licenses/mit-license.php">MIT License</a></li>
	<li><a href="http://plugins.jquery.com/project/color">jQuery Color Animations</a>, &copy; 2007 John Resig, dual licensed under <a href="http://www.gnu.org/licenses/gpl-2.0.html">GNU General Public License v2</a> and <a href="http://www.opensource.org/licenses/mit-license.php">MIT License</a></li>
	<li><a href="http://bassistance.de/jquery-plugins/jquery-plugin-autocomplete/">jQuery Autocomplete</a>, &copy; 2007 Dylan Verheul, Dan G. Switzer, Anjesh Tuladhar, Joern Zaefferer, dual licensed under <a href="http://www.gnu.org/licenses/gpl.html">GNU General Public License</a> and <a href="http://www.opensource.org/licenses/mit-license.php">MIT License</a></li>
	<li><a href="http://jonathanleighton.com/projects/date-input">jQuery Dimensions</a>, &copy; 2007 Paul Bakaus and Brandon Aaron, dual licensed under <a href="http://www.gnu.org/licenses/gpl.html">GNU General Public License</a> and <a href="http://www.opensource.org/licenses/mit-license.php">MIT License</a></li>
	<li><a href="http://jonathanleighton.com/projects/date-input">jQuery Date Input</a>, &copy; 2007-2008 Jonathan Leighton &amp; Torchbox Ltd, licensed under <a href="http://www.opensource.org/licenses/mit-license.php">MIT License</a> (minor edits by Xr)</li>
	<li><a href="http://teethgrinder.co.uk/open-flash-chart-2/">Open Flash Chart 2</a>, licensed under <a href="http://www.gnu.org/copyleft/gpl.html">GNU General Public License</a></li>
	<li><a href="http://www.astro.cz/_java/shadowbox/">Shadowbox</a>, &copy; 2007 Michael J. I. Jackson, licensed under <a href="http://www.gnu.org/licenses/lgpl.html">GNU Lesser General Public License</a></li>
	<li><a href="http://code.google.com/p/swfobject/">SWFObject</a>, &copy; 2007-2008 Geoff Stearns, Michael Williams and Bobby van der Sluis, licensed under <a href="http://www.opensource.org/licenses/mit-license.php">MIT License</a></li>
</ul>
